package java.util.function;

import java.util.Objects;

@FunctionalInterface
public interface DoubleConsumer
{
    public abstract void accept(double p0);
    
    default public DoubleConsumer andThen(DoubleConsumer obj) {
        Objects.requireNonNull(obj);
        return n2/* double, */ -> {
            this.accept(n2);
            p0.accept(n2);
            return;
        };
    }
}
